Z3 |

Public Member Functions | Data Fields | Properties
Statistics.Entry Class Reference

Statistical data is organized into pairs of [Key, Entry], where every Entry is either a `DoubleEntry` or a `UIntEntry` More...

## Public Member Functions
override string | ToString ()
| The string representation of the Entry. More...

## Data Fields
readonly string | Key
| The key of the entry. More...

## Properties
uint | UIntValue`[get]`
| The uint-value of the entry. More...
double | DoubleValue`[get]`
| The double-value of the entry. More...
bool | IsUInt`[get]`
| True if the entry is uint-valued. More...
bool | IsDouble`[get]`
| True if the entry is double-valued. More...
string | Value`[get]`
| The string representation of the entry's value. More...

## Detailed Description

Statistical data is organized into pairs of [Key, Entry], where every Entry is either a `DoubleEntry` or a `UIntEntry`

Definition at line 35 of file Statistics.cs.

## Member Function Documentation

## ◆ ToString()

override string ToString | ( |  | ) |
| inline

The string representation of the Entry.

Definition at line 78 of file Statistics.cs.

79 {
80 return Key + ": " + Value;
81 }
Microsoft.Z3.Statistics.Entry.Key
readonly string Key
The key of the entry.
Definition: Statistics.cs:40
Microsoft.Z3.Statistics.Entry.Value
string Value
The string representation of the entry's value.
Definition: Statistics.cs:62

## Field Documentation

## ◆ Key

readonly string Key

The key of the entry.

Definition at line 40 of file Statistics.cs.

Referenced by Statistics.Entry.ToString().

## Property Documentation

## ◆ DoubleValue

double DoubleValue
| get

The double-value of the entry.

Definition at line 48 of file Statistics.cs.

48{ get { return m_double; } }

## ◆ IsDouble

bool IsDouble
| get

True if the entry is double-valued.

Definition at line 56 of file Statistics.cs.

56{ get { return m_is_double; } }

## ◆ IsUInt

bool IsUInt
| get

True if the entry is uint-valued.

Definition at line 52 of file Statistics.cs.

52{ get { return m_is_uint; } }

## ◆ UIntValue

uint UIntValue
| get

The uint-value of the entry.

Definition at line 44 of file Statistics.cs.

44{ get { return m_uint; } }

## ◆ Value

string Value
| get

The string representation of the entry's value.

Definition at line 61 of file Statistics.cs.

62 {
63 get
64 {
65
66 if (IsUInt)
67 return m_uint.ToString();
68 else if (IsDouble)
69 return m_double.ToString();
70 else
71 throw new Z3Exception("Unknown statistical entry type");
72 }
73 }
Microsoft.Z3.Statistics.Entry.IsDouble
bool IsDouble
True if the entry is double-valued.
Definition: Statistics.cs:56
Microsoft.Z3.Statistics.Entry.IsUInt
bool IsUInt
True if the entry is uint-valued.
Definition: Statistics.cs:52

Referenced by Statistics.Entry.ToString().